import redis

# 连接到Redis
r = redis.Redis(host="114.115.236.206", port=6379, password='clbzzsn', db=6)

# 列表名称
list_name = 'BaseInfoEnterpriseMz:gnqy_socialCode'

# 获取列表中的所有元素
elements = r.lrange(list_name, 0, -1)

# 遍历列表中的元素
for element in elements:
    # 获取元素在列表中的数量
    count = r.lrem(list_name, 0, element)
    # 如果数量大于1，说明有重复值，删除多余的重复值
    if count > 1:
        r.lrem(list_name, count - 1, element)

# 打印处理后的列表
print(r.lrange(list_name, 0, -1))
